<!doctype html>
<html class="no-js">
<head>



<meta charset="utf-8">
<title>Learn Python the Hard Way</title>

<meta http-equiv="X-UA-Compatible" content="IE=edge">
<meta name="description" content="">
<meta name="viewport" content="width=device-width,initial-scale=1">

<link href='https://fonts.googleapis.com/css?family=Source+Code+Pro|Source+Sans+Pro:200,400,700,200italic,400italic,700italic' rel='stylesheet' type='text/css'>
<link href="../css/style.min.css" rel="stylesheet">
<!-- http://www.socicon.com -->
<link href="../css/icons.css" rel="stylesheet">


</head>

<body class="baseline-grid-off book-site" id="top">




<header class="header" role="banner">
    <nav class="navbar navbar-full nav-brand-family">
        <div class="row middle-xs">
            <ul class="brand-links show-md col-xs-3 col-sm-10 bare">
                <li><a href="https://learncodethehardway.org" class="waves-effect">Learn:</a></li>

                <li><a href="https://learncodethehardway.org/python/" class="waves-effect active">Python</a></li>

                <li><a href="https://learncodethehardway.org/ruby/" class="waves-effect">Ruby</a></li>

                <li><a href="https://learncodethehardway.org/more-python/" class="waves-effect">More Python</a></li>

                <li><a href="https://learncodethehardway.org/c/" class="waves-effect">C</a></li>

                <li><a href="https://learncodethehardway.org/sql/" class="waves-effect">SQL</a></li>

                <li><a href="https://learncodethehardway.org/javascript/" class="waves-effect">Javascript</a></li>

                <li><a href="https://learncodethehardway.org/unix/" class="waves-effect">Unix</a></li>

                <li><a href="https://learncodethehardway.org/regex/" class="waves-effect">RegEx</a></li>

                <li><a href="https://www.learndesignthehardway.com/" class="waves-effect">Design</a></li>

            </ul>
            <ul class="brand-links hide-md col-xs-3 col-sm-10 bare">
                <li><a href="https://learncodethehardway.org/" class="waves-effect">LCTHW</a></li>
            </ul>

            <ul class="site-meta col-xs-9 col-sm-2 end-xs bare">
                <li><a href="https://shop.learncodethehardway.org/access/reactivate/" class="waves-effect"><i class="icon icon-user"></i> Login</a></li>
            </ul>

        </div>
    </nav>

    <nav class="navbar navbar-full nav-main" role="navigation">
        <div class="row between-xs center-xs middle-xs bare">
            <div class="col-xs-4 start-xs bare">
                <a href="ex13.html#" class="no-underline nav-trigger waves-effect" id="toc"><div class="transformer hamburcloser">
                        <div class="bar bar-t"></div>
                        <div class="bar bar-m-a"></div>
                        <div class="bar bar-m-b"></div>
                        <div class="bar bar-b"></div>
                </div><span class="nav-trigger_text show-sm-inline">Contents</span></a>
            </div>
            <div class="col-xs-4"><strong>&nbsp;</strong></div>
            <div class="col-xs-4 end-xs bare">
                <a href="https://helpthw.zendesk.com/hc/en-us" class="no-underline nav-trigger waves-effect" id="help"><div class="transformer questioncloser">
                        <div class="icon-question-mark"></div>
                </div><span class="nav-trigger_text show-sm-inline">Help</span></a>
            </div>
        </div>
    </nav>

</header>




<div class="wrapper">
    <div class="masthead python-background" style="background-image: url('/images/pattern-python.svg')">
        <img src="../images/logo-python.svg" alt="Learn Python The Hard Way" class="logo">
    </div>

    <aside class="sidebar sidebar-left" role="complementary">
        <nav class="side-nav-container">
            <ol class="table-of-contents">
                <h3>Table of Contents</h3>
                <li><a href="preface.html">Preface</a></li>
                <li><a href="intro.html">The Hard Way Is Easier</a></li>
                <li><a href="ex0.html">Ex0: The Setup</a></li>
                <li><a href="ex1.html">Ex1: A Good First Program</a></li>
                <li><a href="ex2.html">Ex2: Comments And Pound Characters</a></li>
                <li><a href="ex3.html">Ex3: Numbers And Math</a></li>
                <li><a href="ex4.html">Ex4: Variables And Names</a></li>
                <li><a href="ex5.html">Ex5: More Variables And Printing</a></li>
                <li><a href="ex6.html">Ex6: Strings And Text</a></li>
                <li><a href="ex7.html">Ex7: More Printing</a></li>
                <li><a href="ex8.html">Ex8: Printing, Printing</a></li>
                <li><a href="ex9.html">Ex9: Printing, Printing, Printing</a></li>
                <li><a href="ex10.html">Ex10: What Was That?</a></li>
                <li><a href="ex11.html">Ex11: Asking Questions</a></li>
                <li><a href="ex12.html">Ex12: Prompting People</a></li>
                <li><a href="ex13.html">Ex13: Parameters, Unpacking, Variables</a></li>
                <li><a href="ex14.html">Ex14: Prompting And Passing</a></li>
                <li><a href="ex15.html">Ex15: Reading Files</a></li>
                <li><a href="ex16.html">Ex16: Reading And Writing Files</a></li>
                <li><a href="ex17.html">Ex17: More Files</a></li>
                <li><a href="ex18.html">Ex18: Names, Variables, Code, Functions</a></li>
                <li><a href="ex19.html">Ex19: Functions And Variables</a></li>
                <li><a href="ex20.html">Ex20: Functions And Files</a></li>
                <li><a href="ex21.html">Ex21: Functions Can Return Something</a></li>
                <li><a href="ex22.html">Ex22: What Do You Know So Far?</a></li>
                <li><a href="ex23.html">Ex23: Read Some Code</a></li>
                <li><a href="ex24.html">Ex24: More Practice</a></li>
                <li><a href="ex25.html">Ex25: Even More Practice</a></li>
                <li><a href="ex26.html">Ex26: Congratulations, Take A Test!</a></li>
                <li><a href="ex27.html">Ex27: Memorizing Logic</a></li>
                <li><a href="ex28.html">Ex28: Boolean Practice</a></li>
                <li><a href="ex29.html">Ex29: What If</a></li>
                <li><a href="ex30.html">Ex30: Else And If</a></li>
                <li><a href="ex31.html">Ex31: Making Decisions</a></li>
                <li><a href="ex32.html">Ex32: Loops And Lists</a></li>
                <li><a href="ex33.html">Ex33: While Loops</a></li>
                <li><a href="ex34.html">Ex34: Accessing Elements Of Lists</a></li>
                <li><a href="ex35.html">Ex35: Branches and Functions</a></li>
                <li><a href="ex36.html">Ex36: Designing and Debugging</a></li>
                <li><a href="ex37.html">Ex37: Symbol Review</a></li>
                <li><a href="ex38.html">Ex38: Doing Things To Lists</a></li>
                <li><a href="ex39.html">Ex39: Dictionaries, Oh Lovely Dictionaries</a></li>
                <li><a href="ex40.html">Ex40: Modules, Classes, And Objects</a></li>
                <li><a href="ex41.html">Ex41: Learning To Speak Object Oriented</a></li>
                <li><a href="ex42.html">Ex42: Is-A, Has-A, Objects, and Classes</a></li>
                <li><a href="ex43.html">Ex43: Gothons From Planet Percal #25</a></li>
                <li><a href="ex44.html">Ex44: Inheritance Vs. Composition</a></li>
                <li><a href="ex45.html">Ex45: You Make A Game</a></li>
                <li><a href="ex46.html">Ex46: A Project Skeleton</a></li>
                <li><a href="ex47.html">Ex47: Automated Testing</a></li>
                <li><a href="ex48.html">Ex48: Advanced User Input</a></li>
                <li><a href="ex49.html">Ex49: Making Sentences</a></li>
                <li><a href="ex50.html">Ex50: Your First Website</a></li>
                <li><a href="ex51.html">Ex51: Getting Input From A Browser</a></li>
                <li><a href="ex52.html">Ex52: The Start Of Your Web Game</a></li>
                <li><a href="advice.html">Advice From An Old Programmer</a></li>
                <li><a href="next.html">Next Steps</a></li>
                <li><a href="appendixa.html">Appendix A: Command Line Crash Course</a></li>
            </ol>
            <ul class="site-links">
                <h3>Learn the Hard Way</h3>
                <li><a href="ex13.html#" class="waves-effect"><i class="icon-information"></i> About LPTHW</a></li>
                <li><a href="ex13.html#" class="waves-effect"><i class="icon-question-mark"></i> Help &amp; Support</a></li>
                <li><a href="ex13.html#" class="waves-effect"><i class="socicon-twitter"></i> Follow us on Twitter</a></li>
            </ul>
        </nav>
        <div class="colophon text-center">
            <div class="intro">
                <p class="bare-bottom">
                The type for this book is set in 18px / 1.5
                <a href="https://www.google.com/fonts/specimen/Source+Serif+Pro">Adobe Serif</a>,
                <a href="https://www.google.com/fonts/specimen/Source+Sans+Pro">Sans</a>, and
                <a href="https://www.google.com/fonts/specimen/Source+Code+Pro">Code</a>.
                </p>
            </div>
            <div class="printers-mark">
                <div class="inscription">Docendo <i class="icon-repeat"></i> Discimus</div>
            </div>
        </div>
    </aside>

    <div class="overlay"></div>

    <main class="main python" role="main">
    <div class="main-container row center-xs">
        <div class="col-xs-11 col-sm-10 col-md-9 col-lg-8">

            <div class="content">
                <!--- RST STARTS -->
                <h1 class="title">Exercise 13: Parameters, Unpacking, Variables</h1>
                <p>In this exercise we will cover one more input method you can use to pass variables to a script (script being another name for your <tt class="docutils literal">.py</tt> files).  You know how you type <tt class="docutils literal">python ex13.py</tt> to run the <tt class="docutils literal">ex13.py</tt> file?  Well the <tt class="docutils literal">ex13.py</tt> part of the command is called an &quot;argument.&quot;  What we'll do now is write a script that also accepts arguments.</p>
<p>Type this program and I'll explain it in detail:</p>
<table class="highlighttable"><tr><td class="linenos"><div class="linenodiv"><pre>1
2
3
4
5
6
7
8</pre></div></td><td class="code"><div class="highlight"><pre><span></span><a name="python--ex13.py-idio.html-1"></a><span class="kn">from</span> <span class="nn">sys</span> <span class="kn">import</span> <span class="n">argv</span>
<a name="python--ex13.py-idio.html-2"></a>
<a name="python--ex13.py-idio.html-3"></a><span class="n">script</span><span class="p">,</span> <span class="n">first</span><span class="p">,</span> <span class="n">second</span><span class="p">,</span> <span class="n">third</span> <span class="o">=</span> <span class="n">argv</span>
<a name="python--ex13.py-idio.html-4"></a>
<a name="python--ex13.py-idio.html-5"></a><span class="k">print</span> <span class="s2">&quot;The script is called:&quot;</span><span class="p">,</span> <span class="n">script</span>
<a name="python--ex13.py-idio.html-6"></a><span class="k">print</span> <span class="s2">&quot;Your first variable is:&quot;</span><span class="p">,</span> <span class="n">first</span>
<a name="python--ex13.py-idio.html-7"></a><span class="k">print</span> <span class="s2">&quot;Your second variable is:&quot;</span><span class="p">,</span> <span class="n">second</span>
<a name="python--ex13.py-idio.html-8"></a><span class="k">print</span> <span class="s2">&quot;Your third variable is:&quot;</span><span class="p">,</span> <span class="n">third</span>
</pre></div>
</td></tr></table><p>On line <tt class="docutils literal">1</tt> we have what's called an &quot;import.&quot;  This is how you add features to your script from the Python feature set.  Rather than give you all the features at once, Python asks you to say what you plan to use.  This keeps your programs small, but it also acts as documentation for other programmers who read your code later.</p>
<p>The <tt class="docutils literal">argv</tt> is the &quot;argument variable,&quot; a very standard name in programming, that you will find used in many other languages.  This variable <em>holds</em> the arguments you pass to your Python script when you run it.  In the exercises you will get to play with this more and see what happens.</p>
<p>Line 3 &quot;unpacks&quot; <tt class="docutils literal">argv</tt> so that, rather than holding all the arguments, it gets assigned to four variables you can work with: <tt class="docutils literal">script</tt>, <tt class="docutils literal">first</tt>, <tt class="docutils literal">second</tt>, and <tt class="docutils literal">third</tt>.  This may look strange, but &quot;unpack&quot; is probably the best word to describe what it does.  It just says, &quot;Take whatever is in argv, unpack it, and assign it to all of these variables on the left in order.&quot;</p>
<p>After that we just print them out like normal.</p>
<div class="section" id="hold-up-features-have-another-name">
<h1>Hold Up! Features Have Another Name</h1>
<p>I call them &quot;features&quot; here (these little things you <tt class="docutils literal">import</tt> to make your Python program do more) but nobody else calls them features. I just used that name because I needed to trick you into learning what they are without jargon.  Before you can continue, you need to learn their real name:  <tt class="docutils literal">modules</tt>.</p>
<p>From now on we will be calling these &quot;features&quot; that we <tt class="docutils literal">import</tt> <em>modules</em>.  I'll say things like, &quot;You want to import the <tt class="docutils literal">sys</tt> module.&quot;  They are also called &quot;libraries&quot; by other programmers, but let's just stick with modules.</p>
</div>
<div class="section" id="what-you-should-see">
<h1>What You Should See</h1>
<div class="warning">
<p class="first admonition-title">Warning</p>
<p class="last">Pay attention! You have been running python scripts without command line arguments.  If you type only <tt class="docutils literal">python ex13.py</tt> you are <em>doing it wrong!</em> Pay close attention to how I run it.  This applies any time you see <tt class="docutils literal">argv</tt> being used.</p>
</div>
<p>Run the program like this (and you <em>must</em> pass <em>three</em> command line arguments):</p>
<div class="highlight"><pre><span></span><a name="python--ex13.sh-idio-shint-pyg.html-1"></a><span class="gp">$</span> python ex13.py first 2nd 3rd
<a name="python--ex13.sh-idio-shint-pyg.html-2"></a><span class="go">The script is called: ex13.py</span>
<a name="python--ex13.sh-idio-shint-pyg.html-3"></a><span class="go">Your first variable is: first</span>
<a name="python--ex13.sh-idio-shint-pyg.html-4"></a><span class="go">Your second variable is: 2nd</span>
<a name="python--ex13.sh-idio-shint-pyg.html-5"></a><span class="go">Your third variable is: 3rd</span>
</pre></div><p>This is what you should see when you do a few different runs with different arguments:</p>
<div class="highlight"><pre><span></span><a name="python--ex13.sh-idio-shint-pyg.html-1"></a><span class="gp">$</span> python ex13.py stuff things that
<a name="python--ex13.sh-idio-shint-pyg.html-2"></a><span class="go">The script is called: ex13.py</span>
<a name="python--ex13.sh-idio-shint-pyg.html-3"></a><span class="go">Your first variable is: stuff</span>
<a name="python--ex13.sh-idio-shint-pyg.html-4"></a><span class="go">Your second variable is: things</span>
<a name="python--ex13.sh-idio-shint-pyg.html-5"></a><span class="go">Your third variable is: that</span>
<a name="python--ex13.sh-idio-shint-pyg.html-6"></a><span class="gp">$</span>
<a name="python--ex13.sh-idio-shint-pyg.html-7"></a><span class="gp">$</span> python ex13.py apple orange grapefruit
<a name="python--ex13.sh-idio-shint-pyg.html-8"></a><span class="go">The script is called: ex13.py</span>
<a name="python--ex13.sh-idio-shint-pyg.html-9"></a><span class="go">Your first variable is: apple</span>
<a name="python--ex13.sh-idio-shint-pyg.html-10"></a><span class="go">Your second variable is: orange</span>
<a name="python--ex13.sh-idio-shint-pyg.html-11"></a><span class="go">Your third variable is: grapefruit</span>
</pre></div><p>You can actually replace <tt class="docutils literal">first</tt>, <tt class="docutils literal">2nd</tt>, and <tt class="docutils literal">3rd</tt> with any three things you want.</p>
<p>If you do not run it correctly, then you will get an error like this:</p>
<div class="highlight"><pre><span></span><a name="python--ex13.sh-idio-shint-pyg.html-1"></a><span class="gp">$</span> python ex13.py first 2nd
<a name="python--ex13.sh-idio-shint-pyg.html-2"></a><span class="go">Traceback (most recent call last):</span>
<a name="python--ex13.sh-idio-shint-pyg.html-3"></a><span class="go">  File &quot;ex13.py&quot;, line 3, in &lt;module&gt;</span>
<a name="python--ex13.sh-idio-shint-pyg.html-4"></a><span class="go">    script, first, second, third = argv</span>
<a name="python--ex13.sh-idio-shint-pyg.html-5"></a><span class="go">ValueError: need more than 3 values to unpack</span>
</pre></div><p>This happens when you do not put enough arguments on the command when you run it (in this case just <tt class="docutils literal">first 2nd</tt>).  Notice when I run it I give it <tt class="docutils literal">first 2nd</tt>, which caused it to give an error about &quot;need more than 3 values to unpack&quot; telling you that you didn't give it enough parameters.</p>
</div>
<div class="section" id="study-drills">
<h1>Study Drills</h1>
<ol class="arabic simple">
<li>Try giving fewer than three arguments to your script.  See that error you get?  See if you can explain it.</li>
<li>Write a script that has fewer arguments and one that has more.  Make sure you give the unpacked variables good names.</li>
<li>Combine <tt class="docutils literal">raw_input</tt> with <tt class="docutils literal">argv</tt> to make a script that gets more input from a user. Don't over think it. Just use <tt class="docutils literal">argv</tt> to get something, and <tt class="docutils literal">raw_input</tt> to get something else from the user.</li>
<li>Remember that modules give you features.  Modules.  Modules.  Remember this because we'll need it later.</li>
</ol>
</div>
<div class="section" id="common-student-questions">
<h1>Common Student Questions</h1>
<dl class="docutils">
<dt>When I run it I get <tt class="docutils literal">ValueError: need more than 1 value to unpack</tt>.</dt>
<dd>Remember that an important skill is paying attention to details.  If you look at the <em>What You Should See</em> section you see that I run the script with parameters on the command line.  You should replicate how I ran it exactly.</dd>
<dt>What's the difference between <tt class="docutils literal">argv</tt> and <tt class="docutils literal">raw_input()</tt>?</dt>
<dd>The difference has to do with where the user is required to give input.  If they give your script inputs on the command line, then you use <tt class="docutils literal">argv</tt>.  If you want them to input using the keyboard while the script is running, then use <tt class="docutils literal">raw_input()</tt>.</dd>
<dt>Are the command line arguments strings?</dt>
<dd>Yes, they come in as strings, even if you typed numbers on the command line.  Use <tt class="docutils literal">int()</tt> to convert them just like with <tt class="docutils literal"><span class="pre">int(raw_input())</span></tt>.</dd>
<dt>How do you use the command line?</dt>
<dd>You should have learned to use it real quick by now, but if you need to learn it at this stage, then read the Command Line Crash Course I wrote for this book in Appendix A.</dd>
<dt>I can't combine <tt class="docutils literal">argv</tt> with <tt class="docutils literal">raw_input()</tt>.</dt>
<dd>Don't overthink it.  Just slap two lines at the end of this script that uses <tt class="docutils literal">raw_input()</tt> to get something and then print it. From that start playing with more ways to use both in the same script.</dd>
<dt>Why can't I do this <tt class="docutils literal"><span class="pre">raw_input('?</span> ') = x</tt>?</dt>
<dd>Because that's backward to how it should work.  Do it the way I do it and it'll work.</dd>
</dl>
</div>
                <!-- RST ENDS -->
            </div>
        </div>

        <div class="row center-xs" id="buy">
            <div class="text-center col-xs-10 col-sm-5 col-md-4">
                <h2 class="section-title__small">Buy The Python 2 Course</h2>
                <p>
                When you buy directly from the author, Zed A. Shaw, you'll get a professional
                quality PDF and  hours of HD Video, all DRM-free and yours to download.
                </p>

                <p class="price-block">
                <span class="currency"><span class="prefix">$</span>29.<span class="suffix">99</span></span>
                </p>

                <a href="https://shop.learncodethehardway.org/access/buy/2/" class="btn btn-primary btn-full">Buy The Python 2 Course</a>
                <a href="https://shop.learncodethehardway.org/access/buy/9/" class="btn btn-primary btn-full">Pre-Order The Python 3 Course Instead</a>

                <p class="text-left btn-subtext">
                <small>Or, you can <a href="https://learnpythonthehardway.org/book/book_2.html">read Learn Python the Hard Way for free</a> right here, video lectures not included.</small>
                </p>

            </div>
            <div class="text-center col-xs-10 col-sm-5 col-md-4 col-sm-offset-1">

                <h2 class="section-title__small">Other Buying Options</h2>
                <a href="http://bit.ly/amznlpthw" class="btn btn-secondary btn-full">Buy on Amazon</a>
                <a href="http://bit.ly/informitlpthw" class="btn btn-secondary btn-full">Buy a hard copy from the Publisher</a>
                <a href="http://bit.ly/bnlpthw" class="btn btn-secondary btn-full">Buy a hard copy from Barnes &amp; Noble</a>

            </div>
        </div>
    </div>

    <div class="row center-xs" id="video_holder" style="display: none">
        <div class="col-xs-11 col-sm-10 col-md-9 col-lg-8">
            <div data-paydiv_product="2" id='paydiv'>
                No content available for this exercise.  You can view all available downloads at <a href="https://shop.learncodethehardway.org/customers/">your customer account page</a>.
            </div>
        </div>
    </div>
    </main>

</div>

<div class="row dark bottom-nav">
    <div class="col-xs text-left">
        <a href="ex13.html" class="prev" id='prev_link'><i class="icon-arrow-67"></i> <i class="icon icon-arrow-left"></i> Previous <span class="hide-xs show-sm-inline">Lesson</span></a>
    </div>
    <div class="col-xs text-right"><a href="ex13.html" class="next" id='next_link'>Next <span class="hide-xs show-sm-inline">Lesson</span> <i class="icon icon-arrow-right"></i></a>
    </div>
</div>
  </div>

<footer class="footer">
<div class="row center-xs">

    <div class="col-xs-11 col-sm-6 col-md-5 col-lg-5">
        <ul class="nav nav-inline">
            <li><h4><a href="https://learnpythonthehardway.org/learnpythonthehardway_default_2.html">Home</a></h4></li>
            <li><h4><a href="https://learncodethehardway.org/about/">About</a></h4></li>
            <li><h4><a href="https://learncodethehardway.org/contact/">Contact</a></h4></li>
        </ul>
        <div class="copyright text-left">
            <small class="text-muted">&copy; 2016 Zed A. Shaw. All rights reserved.</small>
        </div>
    </div>
    <div class="col-xs-11 col-sm-4 col-md-4 col-lg-3">
        <div class="social-media">
            <div class="classy-container">
                <a href="https://twitter.com/lzsthw" class="socicon-twitter"></a>
            </div>
        </div>
    </div>
</div>

</footer>
<script src="../js/scripts.min.js"></script>

<script src="javascripts/jquery.js"></script>
<script src="index.js"></script>
<script src="https://shop.learncodethehardway.org/static/jzed.js"></script>
<script src="https://shop.learncodethehardway.org/static/js/videojs/video.js"></script>
<link rel="stylesheet" href="https://shop.learncodethehardway.org/static/js/videojs/video-js.css">
<script src="https://shop.learncodethehardway.org/static/api/v1/paydiv.js"></script>
<script src="javascripts/app.js"></script>
<script src="javascripts/littools.js"></script>
<!-- Start of helpthw Zendesk Widget script -->
<script>/*<![CDATA[*/window.zEmbed||function(e,t){var n,o,d,i,s,a=[],r=document.createElement("iframe");window.zEmbed=function(){a.push(arguments)},window.zE=window.zE||window.zEmbed,r.src="javascript:false",r.title="",r.role="presentation",(r.frameElement||r).style.cssText="display: none",d=document.getElementsByTagName("script"),d=d[d.length-1],d.parentNode.insertBefore(r,d),i=r.contentWindow,s=i.document;try{o=s}catch(e){n=document.domain,r.src='javascript:var d=document.open();d.domain="'+n+'";void(0);',o=s}o.open()._l=function(){var o=this.createElement("script");n&&(this.domain=n),o.id="js-iframe-async",o.src=e,this.t=+new Date,this.zendeskHost=t,this.zEQueue=a,this.body.appendChild(o)},o.write('<body onload="document._l();">'),o.close()}("https://assets.zendesk.com/embeddable_framework/main.js","helpthw.zendesk.com");
/*]]>*/</script>
<!-- End of helpthw Zendesk Widget script -->
<script>
(function(i,s,o,g,r,a,m){i['GoogleAnalyticsObject']=r;i[r]=i[r]||function(){
 (i[r].q=i[r].q||[]).push(arguments)},i[r].l=1*new Date();a=s.createElement(o),
 m=s.getElementsByTagName(o)[0];a.async=1;a.src=g;m.parentNode.insertBefore(a,m)
 })(window,document,'script','https://www.google-analytics.com/analytics.js','ga');

ga('create', 'UA-24168052-1', 'auto');
ga('send', 'pageview');

</script>

</body>
</html>
